AWS IoT Device SDK C++ v2: Aws::Iotshadow::GetNamedShadowRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::GetNamedShadowRequest Class Referencefinal

`#include <GetNamedShadowRequest.h>`

## Public Member Functions
| GetNamedShadowRequest ()=default
| GetNamedShadowRequest (const Crt::JsonView &doc)
GetNamedShadowRequest & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Crt::String > | ShadowName
Aws::Crt::Optional< Aws::Crt::String > | ThingName

## Detailed Description

Data needed to make a GetNamedShadow request.

## Constructor & Destructor Documentation

## ◆ GetNamedShadowRequest() [1/2]

Aws::Iotshadow::GetNamedShadowRequest::GetNamedShadowRequest | ( |  | ) |
| default

## ◆ GetNamedShadowRequest() [2/2]

Aws::Iotshadow::GetNamedShadowRequest::GetNamedShadowRequest | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

GetNamedShadowRequest & Aws::Iotshadow::GetNamedShadowRequest::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::GetNamedShadowRequest::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::GetNamedShadowRequest::ClientToken

Optional. A client token used to correlate requests and responses. Enter an arbitrary value here and it is reflected in the response.

## ◆ ShadowName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::GetNamedShadowRequest::ShadowName

Name of the shadow to get.

## ◆ ThingName

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::GetNamedShadowRequest::ThingName

AWS IoT thing to get the named shadow for.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/GetNamedShadowRequest.h
- shadow/source/GetNamedShadowRequest.cpp